Subject: Re: [PATCH] Next/Trees: update the modules tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 Dec 2021 23:16:39 +1100

Hi Luis,

On Wed,  8 Dec 2021 11:59:31 -0800 Luis Chamberlain <[email-masked]> wrote:
>
> Upon Jessica's request I'm helping with modules maintenance
> so this patch reflect this and updates the trees to mine. For
> the last v5.16 merge window I have already sent my first
> pull request which was merged for v5.16-rc1. I'll queue up fixes
> on the modules_linus branch.
> 
> I'm now queuing up changes for the next release and so will be putting
> those in the modules_next branch to match parity with the same style
> used by Jessica.
> 
> Cc: Jessica Yu <[email-masked]>
> Signed-off-by: Luis Chamberlain <[email-masked]>
> ---
>  Next/Trees | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/Next/Trees b/Next/Trees
> index 1348af7fdb0f..620898543919 100644
> --- a/Next/Trees
> +++ b/Next/Trees
> @@ -46,7 +46,7 @@ input-current	git	git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input.git#f
>  crypto-current	git	git://git.kernel.org/pub/scm/linux/kernel/git/herbert/crypto-2.6.git#master
>  vfio-fixes	git	git://github.com/awilliam/linux-vfio.git#for-linus
>  kselftest-fixes	git	git://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest.git#fixes
> -modules-fixes	git	git://git.kernel.org/pub/scm/linux/kernel/git/jeyu/linux.git#modules-linus
> +modules-fixes	git	git://git.kernel.org/pub/scm/linux/kernel/git/mcgrof/linux.git#modules-linus
>  dmaengine-fixes	git	git://git.kernel.org/pub/scm/linux/kernel/git/vkoul/dmaengine.git#fixes
>  backlight-fixes	git	git://git.kernel.org/pub/scm/linux/kernel/git/lee/backlight.git#for-backlight-fixes
>  mtd-fixes	git	git://git.kernel.org/pub/scm/linux/kernel/git/mtd/linux.git#mtd/fixes
> @@ -231,7 +231,7 @@ etnaviv		git	https://git.pengutronix.de/git/lst/linux#etnaviv/next
>  regmap		git	git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regmap.git#for-next
>  sound		git	git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git#for-next
>  sound-asoc	git	git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound.git#for-next
> -modules		git	git://git.kernel.org/pub/scm/linux/kernel/git/jeyu/linux.git#modules-next
> +modules		git	git://git.kernel.org/pub/scm/linux/kernel/git/mcgrof/linux.git#modules-next
>  input		git	git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input.git#next
>  block		git	git://git.kernel.dk/linux-block.git#for-next
>  device-mapper	git	git://git.kernel.org/pub/scm/linux/kernel/git/device-mapper/linux-dm.git#for-next

I have updated to use the new tree.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]